Summary: A security tool which acts as a wrapper for TCP daemons.
Name: tcp_wrappers
Version: 7.6
Release: 1.0.4
Copyright: Distributable
Group: System Environment/Daemons
Source: ftp://coast.cs.purdue.edu/pub/tools/unix/tcp_wrappers/tcp_wrappers_7.6.tar.gz
Patch: tcpw7.2-config.patch
Patch1: tcpw7.2-setenv.patch
Patch2: tcpw7.6-netgroup.patch
Provides: tcp_wrappers
BuildRoot: /var/tmp/%{name}-root

%description
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, FTP, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

Install the tcp_wrappers program if you need a security tool for
filtering incoming network services requests.

%prep
%setup -q -n tcp_wrappers_7.6
%patch0 -p1 -b .config
%patch1 -p1 -b .setenv
%patch2 -p1 -b .netgroup

%build
make linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man{3,5,8}


cp hosts_access.3 $RPM_BUILD_ROOT%{_mandir}/man3
cp hosts_access.5 hosts_options.5 $RPM_BUILD_ROOT%{_mandir}/man5
cp tcpd.8 tcpdchk.8 tcpdmatch.8 $RPM_BUILD_ROOT%{_mandir}/man8
ln -sf hosts_access.5 $RPM_BUILD_ROOT%{_mandir}/man5/hosts.allow.5
ln -sf hosts_access.5 $RPM_BUILD_ROOT%{_mandir}/man5/hosts.deny.5
cp libwrap.a $RPM_BUILD_ROOT/usr/lib
cp tcpd.h $RPM_BUILD_ROOT/usr/include
## install -m755 safe_finger $RPM_BUILD_ROOT/usr/sbin
install -m755 tcpd $RPM_BUILD_ROOT/usr/sbin
install -m755 tcpdchk $RPM_BUILD_ROOT/usr/sbin
install -m755 tcpdmatch $RPM_BUILD_ROOT/usr/sbin
install -m755 try-from $RPM_BUILD_ROOT/usr/sbin

strip $RPM_BUILD_ROOT/usr/sbin/tcpd $RPM_BUILD_ROOT/usr/sbin/tcpdchk 
## strip $RPM_BUILD_ROOT/usr/sbin/tcpdmatch $RPM_BUILD_ROOT/usr/sbin/safe_finger
strip $RPM_BUILD_ROOT/usr/sbin/try-from

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BLURB CHANGES README* DISCLAIMER Banners.Makefile
%doc %{_mandir}/man[358]/*
/usr/include/tcpd.h
/usr/lib/libwrap.a
## %attr(0750,root,root)	/usr/sbin/safe_finger
%attr(0750,root,root)	/usr/sbin/tcpd
%attr(0750,root,root)	/usr/sbin/tcpdchk
%attr(0750,root,root)	/usr/sbin/tcpdmatch
%attr(0750,root,root)	/usr/sbin/try-from

%changelog
* Tue Dec 12 2000 Pete O'Hara <pete@guardiandigital.com>
- removed safe_finger - we aren't running any finger

* Mon Jul 24 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to /usr/sbin binaries

